//+------------------------------------------------------------------+
//|                               Copyright  2012, Vladimir Hlystov |
//|                                         http://cmillion.narod.ru |
//+------------------------------------------------------------------+
#property copyright "Copyright  2012, Vladimir Hlystov"
#property link      "http://cmillion.narod.ru"

#property indicator_chart_window
//+------------------------------------------------------------------+
int init()
{
   return(0);
}
//+------------------------------------------------------------------+
int deinit()
{
   ObjectsDeleteAll(0,OBJ_TRIANGLE);
   Comment("");
   return(0);
}
//+------------------------------------------------------------------+
int start()
{
   datetime TimeMin=Time[0],TimeMax=Time[0];
   double Min=Low[0],Max=High[0];
   
   int counted_bars = IndicatorCounted();
   if(counted_bars < 0)  return(-1);
   if(counted_bars > 0)   counted_bars--;
   int limit = Bars - counted_bars;
   if(counted_bars==0) limit--;
      
   for (int i=0; i<=limit; i++)
   {
      if (Min>Low[i])  {Min=Low[i];TimeMin=Time[i];}
      if (Max<High[i]) {Max=High[i];TimeMax=Time[i];}
      if (Time[i]<=iTime(NULL,PERIOD_M5 ,0)) if (ObjectFind("M5")==-1) DrawTRIANGLE("M5", TimeMin, Min, TimeMax, Max, Red);
      if (Time[i]<=iTime(NULL,PERIOD_M15,0)) if (ObjectFind("15")==-1) DrawTRIANGLE("15", TimeMin, Min, TimeMax, Max, DarkOrange);
      if (Time[i]<=iTime(NULL,PERIOD_M30,0)) if (ObjectFind("30")==-1) DrawTRIANGLE("30", TimeMin, Min, TimeMax, Max, Yellow);
      if (Time[i]<=iTime(NULL,PERIOD_H1 ,0)) if (ObjectFind("H1")==-1) DrawTRIANGLE("H1", TimeMin, Min, TimeMax, Max, Lime);
      if (Time[i]<=iTime(NULL,PERIOD_H4 ,0)) if (ObjectFind("H4")==-1) DrawTRIANGLE("H4", TimeMin, Min, TimeMax, Max, Aqua);
      if (Time[i]<=iTime(NULL,PERIOD_D1 ,0)) if (ObjectFind("D1")==-1) DrawTRIANGLE("D1", TimeMin, Min, TimeMax, Max, RoyalBlue);
      if (Time[i]<=iTime(NULL,PERIOD_W1 ,0)) if (ObjectFind("W1")==-1) DrawTRIANGLE("W1", TimeMin, Min, TimeMax, Max, BlueViolet);
   }
   return(0);
}
//--------------------------------------------------------------------
void DrawTRIANGLE(string Name, datetime T1, double P1, datetime T2, double P2, color C)
{
   ObjectDelete(Name);
   ObjectCreate(Name, OBJ_TRIANGLE, 0,T1,P1,T2,P2, Time[0], Bid);
   ObjectSet   (Name, OBJPROP_COLOR, C);
   ObjectSet   (Name, OBJPROP_BACK, true);
}
//--------------------------------------------------------------------